[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Possible bug in uname command

From: Alfred M\. Szmidt
Subject: Re: Possible bug in uname command
Date: Wed, 14 Sep 2005 20:12:54 +0200

   > >  I have often thought it would be better if on machines that
   > >  could not reasonably support those extra uname options that
   > >  the options be disabled entirely.  Then instead of unknown the
   > >  program would report it as an invalid option.
   > But that will break scripts like mad... :(

   I don't think it will break scripts because legacy operating
   systems don't support those options either.

If you consider GNU a legacy operating system, sure.  Recall, GNU
coreutils is for GNU, not non-GNU systems.

How about those options get disabled if POSIXLY_CORRECT is defined
instead?  That makes sense, and doesn't break scripts.

reply via email to

[Prev in Thread] Current Thread [Next in Thread]